RenderInputTag (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.taglib
[Java] Class RenderInputTag

    java.lang.Object
      org.codehaus.groovy.grails.web.taglib.RequestContextTag
          org.codehaus.groovy.grails.web.taglib.RenderInputTag

    public class RenderInputTag
    extends RequestContextTag

A tag that attempts to render an input for a bean property into an appropriate component based on the type. It uses the templates defined in "grails-app/views/scaffolding" to achieve this by looking up the template by type. Example: `` Produces for Example (unless customised): ``

Authors:
  Graeme Rocher

Since:
  12-Jan-2006

Field Summary
`static java.lang.String` | `PATH_PREFIX`
`static java.lang.String` | `PATH_SUFFIX`
`static java.lang.String` | `TAG_NAME`

Fields inherited from class RequestContextTag
applicationContext, attributes, bean, contextPath, grailsApplication, out, registry, request, response, servletContext, urlPathHelper

Constructor Summary
`protected RenderInputTag()`

Method Summary
`protected void` | `doEndTagInternal()`
`protected void` | `doStartTagInternal()`
`java.lang.String` | `findUriForType(java.lang.Class type)`
`java.lang.Object` | `getBean()`
`java.lang.String` | `getProperty()`
`boolean` | `isDynamicAttribute(java.lang.String attr)`
`void` | `setBean(java.lang.Object bean)`
`void` | `setProperty(java.lang.String property)`

Methods inherited from class RequestContextTag
doEndTag, doEndTagInternal, doStartTag, doStartTagInternal, getName, getRegistry, init, setAttribute, setAttributes, setWriter

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### PATH_PREFIX

    public static final java.lang.String PATH_PREFIX

### PATH_SUFFIX

    public static final java.lang.String PATH_SUFFIX

### TAG_NAME

    public static final java.lang.String TAG_NAME

Constructor Detail

### RenderInputTag

    protected RenderInputTag()

Method Detail

### doEndTagInternal

    @java.lang.Override
    protected void doEndTagInternal()

### doStartTagInternal

    @java.lang.Override
    protected void doStartTagInternal()

### findUriForType

    public java.lang.String findUriForType(java.lang.Class type)

### getBean

    public java.lang.Object getBean()

### getProperty

    public java.lang.String getProperty()

### isDynamicAttribute

    public boolean isDynamicAttribute(java.lang.String attr)

### setBean

    public void setBean(java.lang.Object bean)

### setProperty

    public void setProperty(java.lang.String property)

Groovy Documentation